<div class="wrap">

<?php screen_icon( 'users' ); ?>

<h2><?php echo esc_html( sprintf( __( 'Manage Attendees of %s', 'camper' ), $event->name ) ); ?></h2>

<?php do_action_ref_array( 'camper_admin_attendees_after_title', array( &$event ) ); ?>

<p><a class="button" href="<?php echo camper_admin_url( array( 'event' => $event->id ) ); ?>"><?php echo esc_html( __( 'Edit This Event', 'camper' ) ); ?></a></p>

<form class="search-form" action="" method="get">
<p class="search-box">
<label class="screen-reader-text" for="attendee-search-input"><?php echo esc_html( __( 'Search Attendees', 'camper' ) ); ?>:</label>
<input type="hidden" name="page" value="<?php echo esc_attr( $_GET['page'] ); ?>" />
<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action'] ); ?>" />
<input type="hidden" name="event" value="<?php echo esc_attr( $_GET['event'] ); ?>" />
<input type="text" id="attendee-search-input" name="s" value="<?php _admin_search_query(); ?>" />
<input type="submit" value="<?php echo esc_attr( __( 'Search Attendees', 'camper' ) ); ?>" class="button" />
</p>
</form>
<br class="clear" />

<form id="attendees-filter" action="" method="get">
<div class="tablenav">

<div class="alignleft actions">

<select name="bulkaction">
<option value="-1" selected="selected"><?php echo esc_html( __( 'Bulk Actions', 'camper' ) ); ?></option>
<option value="confirm"><?php echo esc_html( __( 'Confirm', 'camper' ) ); ?></option>
<option value="unconfirm"><?php echo esc_html( __( 'Unconfirm', 'camper' ) ); ?></option>
</select>
<input type="submit" value="<?php echo esc_attr( __( 'Apply', 'camper' ) ); ?>" name="camper-bulk-edit-attendees" id="camper-bulk-edit-attendees" class="button-secondary action" />
<?php wp_nonce_field( 'camper-bulk-edit-attendees' ); ?>

<select name="showitem">
<option value=""><?php echo esc_html( __( 'Show all items', 'camper' ) ); ?></option>
<?php foreach ( (array) $items as $item ) : ?>
<option value="<?php echo esc_attr( $item->id ); ?>"<?php if ( $item->id == $showitem ) echo ' selected="selected"'; ?>><?php echo esc_html( $item->name ); ?></option>
<?php endforeach; ?>
</select>

<select name="showstatus">
<option value=""><?php echo esc_html( __( 'Show all statuses', 'camper' ) ); ?></option>
<option value="confirmed_only"<?php if ( 'confirmed_only' == $showstatus ) echo ' selected="selected"'; ?>><?php echo esc_html( __( 'Confirmed only', 'camper' ) ); ?></option>
</select>

<input type="submit" id="post-query-submit" value="<?php
	echo esc_attr( __( 'Filter', 'camper' ) ); ?>" class="button-secondary" />
<input type="hidden" name="page" value="<?php echo esc_attr( $_GET['page'] ); ?>" />
<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action'] ); ?>" />
<input type="hidden" name="event" value="<?php echo esc_attr( $_GET['event'] ); ?>" />
<input type="hidden" name="s" value="<?php _admin_search_query(); ?>" />
</div>

<br class="clear" />
</div>

<div class="clear"></div>

<table class="widefat">
<thead>
<tr>
<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Attendee', 'camper' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Submitted', 'camper' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Confirmed', 'camper' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Payment code', 'camper' ) ); ?></th>
</tr>
</thead>

<tfoot>
<tr>
<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Attendee', 'camper' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Submitted', 'camper' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Confirmed', 'camper' ) ); ?></th>
<th scope="col" class="manage-column column-name" style=""><?php echo esc_html( __( 'Payment code', 'camper' ) ); ?></th>
</tr>
</tfoot>

<tbody>
<?php foreach ( (array) $attendees as $attendee ) :
$user = get_userdata( $attendee->user_id );
$item = camper_item( $attendee->item_id );

$class = '';
$alt = 1 - $alt;
if ( $alt ) $class .= ' alternate';

if ( $attendee->confirmed )
	$class .= ' confirmed';

$class = trim( $class );
?>
<tr<?php echo empty( $class ) ? '' : ' class="' . $class . '"'; ?>>
<th scope="row" class="check-column"><input type="checkbox" name="attendee[]" value="<?php echo esc_attr( $attendee->id ); ?>" /></th>
<td><?php echo esc_html( $user->display_name )
	. ( $user->display_name != $user->user_login ? " ($user->user_login)" : '' )
	. '<br />' . $user->user_email; ?></td>
<td><?php echo esc_html( $attendee->submitted_at ) . '<br />' . esc_html( $item->name ); ?></td>
<td><?php echo $attendee->confirmed
	? esc_html( $attendee->confirmed_at )
	: esc_html( __( 'Not confirmed', 'camper' ) ); ?></td>
<td><?php echo esc_html( $attendee->payment_hash ); ?></td>
</tr>
<?php endforeach; ?>
</tbody>
</table>

<div class="tablenav">
<div class="alignleft actions">
<select name="bulkaction2">
<option value="-1" selected="selected"><?php echo esc_html( __( 'Bulk Actions', 'camper' ) ); ?></option>
<option value="confirm"><?php echo esc_html( __( 'Confirm', 'camper' ) ); ?></option>
<option value="unconfirm"><?php echo esc_html( __( 'Unconfirm', 'camper' ) ); ?></option>
</select>
<input type="submit" value="<?php echo esc_attr( __( 'Apply', 'camper' ) ); ?>" name="camper-bulk-edit-attendees2" id="camper-bulk-edit-attendees2" class="button-secondary action" />
<br class="clear" />
</div>
<br class="clear" />
</div>

<?php
$total_t = $event->attendees( wp_parse_args( array( 'perpage' => 0, 'offset' => 0 ), $args ) );
$total = ceil( count( $total_t ) / $perpage );
$page_links = paginate_links( array(
	'base' => add_query_arg( 'pagenum', '%#%' ),
	'format' => '',
	'prev_text' => __( '&laquo;', 'camper' ),
	'next_text' => __( '&raquo;', 'camper' ),
	'total' => $total,
	'current' => $pagenum
	) );

if ( $page_links )
	echo '<div class="tablenav-pages" style="margin: 1em 0">' . $page_links . '</div>';
?>

</form>

</div>