<div class="wrap">

<?php screen_icon( 'users' ); ?>

<h2><?php echo esc_html( __( 'Events', 'camper' ) ); ?></h2>

<?php do_action_ref_array( 'camper_admin_events_after_title', array( &$event ) ); ?>

<ul class="subsubsub">
<?php
$first = array_shift( $events );
if ( ! is_null( $first ) ) : ?>
<li><a href="<?php echo camper_admin_url( array( 'event' => $first->id ) ); ?>"<?php if ( $first->id == $current ) echo ' class="current"'; ?>><?php echo esc_html( $first->name ); ?></a></li>
<?php endif;
foreach ( $events as $v ) : ?>
<li>| <a href="<?php echo camper_admin_url( array( 'event' => $v->id ) ); ?>"<?php if ( $v->id == $current ) echo ' class="current"'; ?>><?php echo esc_html( $v->name ); ?></a></li>
<?php endforeach; ?>

<li class="addnew"><a href="<?php echo camper_admin_url( array( 'event' => 'new' ) ); ?>"<?php if ( -1 == $current ) echo ' class="current"'; ?>><?php echo esc_html( __( 'Add new', 'wpcf7' ) ); ?></a></li>
</ul>

<br class="clear" />

<form action="<?php echo camper_admin_url(); ?>" method="post">
<table class="widefat">
<tbody>
<tr>
<td scope="col">
<div style="position: relative;">
<?php wp_nonce_field( 'camper-save-event-' . $current ); ?>
<input type="hidden" name="event" value="<?php echo $current; ?>" />

<p><label for="name"><strong><?php echo esc_html( __( 'Event Name', 'camper' ) ); ?></strong></label><br />
<input type="text" name="name" id="name" size="60" value="<?php echo esc_attr( $event->name ); ?>" style="width: 80%" />
</p>

<?php if ( $event ) : ?>
<table class="items">
<tbody>
<tr><th></th><th><?php echo esc_html( __( 'Item Name', 'camper' ) ); ?></th>
<th><?php echo esc_html( __( 'Fee', 'camper' ) ); ?></th>
<th><?php echo esc_html( __( 'Count', 'camper' ) ); ?></th>
<th><?php echo esc_html( __( 'Delete', 'camper' ) ); ?></th></tr>
<?php
$total = 0;
foreach ( (array) $event->items() as $item ) {
	$total += absint( $item->attendees_count );

	echo '<tr><th>' . esc_html( $item->id ) . '</th><td>';
	echo '<input type="hidden" name="items[]" value="' . esc_attr( $item->id ) . '" />';
	echo '<input type="text" name="item_name[' . $item->id . ']" value="' . esc_attr( $item->name ) . '" size="40" maxlength="127" />';
	echo '</td><td>';
	echo '<input type="text" name="item_price[' . $item->id . ']" value="' . esc_attr( $item->price ) . '" size="6" />';
	echo ' <select name="item_currency[' . $item->id . ']">';
	foreach ( camper_available_currencies() as $cur => $cur_name ) {
		$selected = $item->currency == $cur ? ' selected="selected"' : '';
		echo '<option value="' . esc_attr( $cur ) . '"' . $selected . '>' . esc_html( $cur ) . '</option>';
	}
	echo '</select>';
	echo '</td><td>' . absint( $item->attendees_count ) . '</td>';

	if ( ! $item->attendees_count ) {
		echo '<td><input type="checkbox" name="item_delete[' . $item->id . ']" value="1" /></td>';
	} else {
		echo '<td>' . esc_html( __( 'N/A', 'camper' ) ) . '</td>';
	}

	echo '</tr>' . "\n";
}
?>
<tr><th>&laquo;</th><td><input type="hidden" name="items[]" value="-1" />
<input type="text" name="item_name[-1]" value="" size="40" maxlength="127" /></td>
<td><input type="text" name="item_price[-1]" value="" size="6" />
<select name="item_currency[-1]">
<?php foreach ( camper_available_currencies() as $cur => $cur_name ) {
	echo '<option value="' . esc_attr( $cur ) . '">' . esc_html( $cur ) . '</option>';
} ?>
</select>
</td></tr>
<tr><td colspan="3" style="text-align: right; font-weight: bold;"><?php echo esc_html( __( 'Total', 'camper' ) ); ?></td><td><strong><?php echo esc_html( $total ); ?></strong></td></tr>
</tbody>
</table>
<?php endif; ?>

<?php if ( $event ) : ?>
<div class="manage-attendees">
<a class="button" href="<?php echo camper_admin_url( array( 'event' => $event->id, 'action' => 'attendees' ) ); ?>"><?php echo esc_html( __( 'Manage Attendees', 'camper' ) ); ?></a></div>
<?php endif; ?>

<div class="save-event">
<input type="submit" name="camper-save-event" class="button-primary" value="<?php echo esc_attr( __( 'Save Event', 'camper' ) ); ?>" />
</div>

<?php if ( $event ) : ?>
<div class="actions-link">
<?php $delete_nonce = wp_create_nonce( 'camper-delete-event-' . $current ); ?>
<input type="submit" name="camper-delete-event" class="delete" value="<?php echo esc_attr( __( 'Delete Event', 'camper' ) ); ?>"
<?php echo "onclick=\"if (confirm('" .
esc_js( __( "You are about to delete this event.\n'Cancel' to stop, 'OK' to delete.", 'camper' ) ) .
"')) {this.form._wpnonce.value = '$delete_nonce'; return true;} return false;\""; ?> />
</div>
<?php endif; ?>

</div>
</td>
</tr>
</tbody>
</table>

<?php if ( $event ) : ?>

<table class="widefat setting">
<thead><tr><th scope="col" colspan="2"><?php echo esc_html( __( 'Confirmation Notice', 'camper' ) ); ?></th></tr></thead>
<tbody>
<tr>
<td scope="col" colspan="2" style="border-bottom: none;">
<p><input type="checkbox" name="confirmation-notice" id="confirmation-notice" value="1" class="toggle"<?php if ( $event->option( 'confirmation_notice' ) ) echo ' checked="checked"'; ?> />
<label for="confirmation-notice"><?php echo esc_html( __( 'Send mail to attendee when confirmed?', 'camper' ) ); ?></label></p>
</td>
</tr>

<tr class="toggle confirmation-notice hidden">
<td scope="col" style="width: 60%; border-bottom: none;">
<p><label for="confirmation-notice-subject"><?php echo esc_html( __( 'Subject', 'camper' ) ); ?></label><br /><input type="text" name="confirmation-notice-subject" id="confirmation-notice-subject" size="60" value="<?php echo esc_attr( $event->option( 'confirmation_notice_subject' ) ); ?>" style="width: 100%;" /></p>

<p><label for="confirmation-notice-body"><?php echo esc_html( __( 'Message Body', 'camper' ) ); ?></label><br /><textarea name="confirmation-notice-body" id="confirmation-notice-body" cols="60" rows="8" style="width: 100%;"><?php echo esc_html( $event->option( 'confirmation_notice_body' ) ); ?></textarea></p>
</td>

<td scope="col" style="width: 40%; border-bottom: none;">
<p><?php echo esc_html( __( "You can use the following template tags.", 'camper' ) ); ?></p>
<ul>
<li><code>%user.display_name%</code> &raquo;
<?php echo esc_html( __( "User's display name.", 'camper' ) ); ?></li>
<li><code>%user.email%</code> &raquo;
<?php echo esc_html( __( "User's email address.", 'camper' ) ); ?></li>
</ul>
</td>
</tr>

<tr><td colspan="2"><div class="save-event">
<input type="submit" name="camper-save-event" class="button-primary" value="<?php echo esc_attr( __( 'Save Event', 'camper' ) ); ?>" />
</div></td></tr>
</tbody>
</table>

<table class="widefat setting shortcodegen">
<thead><tr><th scope="col" colspan="2"><?php echo esc_html( __( 'Shortcode:&ensp;"Attend" Button', 'camper' ) ); ?></th></tr></thead>
<tbody>
<tr>
<td scope="col">
<input type="hidden" name="shortcode_name" value="camper_attend" />
<input type="hidden" name="event" class="option" value="<?php echo esc_attr( $event->id ); ?>" />
<p><input type="checkbox" name="paypal" class="option toggle" />
<?php echo esc_html( __( 'Use PayPal?', 'camper' ) ); ?></p>

<div class="toggle paypal hidden">
<p><input type="radio" name="use_sandbox" class="option" value="0" checked="checked" />
<?php echo esc_html( __( 'Live', 'camper' ) ); ?><br />
<input type="radio" name="use_sandbox" class="option" value="1" />
<?php echo esc_html( __( 'Use Sandbox', 'camper' ) ); ?></p>
<p><label><?php echo esc_html( __( 'PayPal Business (E-mail or ID)', 'camper' ) ); ?><br />
<input type="text" name="paypal_business" class="option" size="60" /></label></p>
<p><label><?php echo esc_html( __( 'Item Name', 'camper' ) ); ?><br />
<input type="text" name="paypal_item_name" class="option" size="60" /></label></p>
<p><label><?php echo esc_html( __( 'PayPal IPN Listener URL', 'camper' ) ); ?><br />
<input type="text" name="paypal_notify_url" class="option" size="60" /></label></p>
</div>

<p style="margin-top: 1.2em;"><?php echo esc_html( __( "Copy this code and paste it into your post or page content.", 'camper' ) ); ?><br />
<input type="text" name="shortcode" class="shortcode" /></p>
</td>
</tr>
</tbody>
</table>

<table class="widefat setting shortcodegen">
<thead><tr><th scope="col" colspan="2"><?php echo esc_html( __( 'Shortcode:&ensp;Attendee List', 'camper' ) ); ?></th></tr></thead>
<tbody>
<tr>
<td scope="col">
<input type="hidden" name="shortcode_name" value="camper_attendees" />
<input type="hidden" name="event" class="option" value="<?php echo esc_attr( $event->id ); ?>" />
<p><input type="checkbox" name="confirmed_only" class="option" />
<?php echo esc_html( __( 'Show confirmed attendees only?', 'camper' ) ); ?></p>

<p style="margin-top: 1.2em;"><?php echo esc_html( __( "Copy this code and paste it into your post or page content.", 'camper' ) ); ?><br />
<input type="text" name="shortcode" class="shortcode" /></p>
</td>
</tr>
</tbody>
</table>

<?php endif; ?>
</form>
</div>