<?php
/**
 ** Note: You need Aaron D. Campbell's PayPal Framework plugin to use these functions.
 **/

add_action( 'paypal-web_accept', 'camper_paypal_payment_received' );

function camper_paypal_payment_received( $post ) {
	global $wpdb, $camper;

	if ( ! $payment_hash = trim( $post['custom'] ) )
		return;

	$query = $wpdb->prepare(
		"SELECT * FROM $camper->attendees WHERE payment_hash = %s AND confirmed = 0",
		$payment_hash );

	if ( ! $attendee = $wpdb->get_row( $query ) )
		return;

	$attendee = camper_attendee( $attendee );

	if ( ! $item = camper_item( $attendee->item_id ) )
		return;

	if ( $item->price != $post['mc_gross'] || $item->currency != $post['mc_currency'] )
		return;

	if ( $event = camper_event( $attendee->event_id ) )
		return $event->confirm( $attendee->id );
}

?>