<?php

function camper_install() {
	global $wpdb, $camper;

	$charset_collate = '';
	if ( $wpdb->has_cap( 'collation' ) ) {
		if ( ! empty( $wpdb->charset ) )
			$charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
		if ( ! empty( $wpdb->collate ) )
			$charset_collate .= " COLLATE $wpdb->collate";
	}

	if ( ! camper_table_exists( 'events' ) ) {

		$wpdb->query( "CREATE TABLE IF NOT EXISTS $camper->events (
			id bigint(20) unsigned NOT NULL auto_increment,
			owner_id bigint(20) unsigned NOT NULL default 0,
			name varchar(127) NOT NULL,
			closed tinyint(1) NOT NULL default 0,
			closed_at datetime NOT NULL default '0000-00-00 00:00:00',
			created_at datetime NOT NULL default '0000-00-00 00:00:00',
			options text NOT NULL,
			PRIMARY KEY (id)) $charset_collate;" );

	}

	if ( ! camper_table_exists( 'items' ) ) {

		$wpdb->query( "CREATE TABLE IF NOT EXISTS $camper->items (
			id bigint(20) unsigned NOT NULL auto_increment,
			event_id bigint(20) unsigned NOT NULL default 0,
			name varchar(127) NOT NULL,
			price decimal(7,2) NOT NULL default 0, 
			currency char(3) NOT NULL default 'USD',
			PRIMARY KEY (id),
			KEY event_id (event_id)) $charset_collate;" );

	}

	if ( ! camper_table_exists( 'attendees' ) ) {

		$wpdb->query( "CREATE TABLE IF NOT EXISTS $camper->attendees (
			id bigint(20) unsigned NOT NULL auto_increment,
			event_id bigint(20) unsigned NOT NULL default 0,
			item_id bigint(20) unsigned NOT NULL default 0,
			user_id bigint(20) unsigned NOT NULL default 0,
			submitted_at datetime NOT NULL default '0000-00-00 00:00:00',
			payment_hash varchar(64) NOT NULL default '',
			confirmed tinyint(1) NOT NULL default 0,
			confirmed_at datetime NOT NULL default '0000-00-00 00:00:00',
			PRIMARY KEY (id),
			KEY event_id (event_id),
			KEY item_id (item_id),
			KEY user_id (user_id)) $charset_collate;" );

	}
}

?>