<?php

function camper_plugin_path( $path = '' ) {
	return path_join( CAMPER_PLUGIN_DIR, trim( $path, '/' ) );
}

function camper_plugin_url( $path = '' ) {
	return plugins_url( $path, CAMPER_PLUGIN_BASENAME );
}

function camper_admin_url( $query = array() ) {
	global $plugin_page;

	if ( ! isset( $query['page'] ) )
		$query['page'] = $plugin_page;

	$path = 'admin.php';

	if ( $query = build_query( $query ) )
		$path .= '?' . $query;

	$url = admin_url( $path );

	return esc_url_raw( $url );
}

function camper_table( $name ) {
	global $wpdb;

	return $wpdb->prefix . "camper_" . $name;
}

function camper_table_exists( $name ) {
	global $wpdb;

	$table = camper_table( $name );

	return strtolower( $wpdb->get_var( "SHOW TABLES LIKE '$table'" ) ) == strtolower( $table );
}

function camper() {
	global $camper;

	if ( is_object( $camper ) )
		return;

	$camper = (object) array(
		'events' => camper_table( 'events' ),
		'items' => camper_table( 'items' ),
		'attendees' => camper_table( 'attendees' ) );
}

camper();

require_once CAMPER_PLUGIN_DIR . '/includes/functions.php';
require_once CAMPER_PLUGIN_DIR . '/includes/classes.php';
require_once CAMPER_PLUGIN_DIR . '/includes/paypal.php';
require_once CAMPER_PLUGIN_DIR . '/includes/profile.php';

if ( is_admin() )
	require_once CAMPER_PLUGIN_DIR . '/admin/admin.php';
else
	require_once CAMPER_PLUGIN_DIR . '/includes/controller.php';

/* L10N */

add_action( 'init', 'camper_load_plugin_textdomain' );

function camper_load_plugin_textdomain() {
	load_plugin_textdomain( 'camper', false, 'camper/languages' );
}

/* Activation */

add_action( 'activate_' . CAMPER_PLUGIN_BASENAME, 'camper_activate' );

function camper_activate() {
	require_once CAMPER_PLUGIN_DIR . '/install.php';
	camper_install();
}

?>